Subject: bug#11496: 24.1.50; Line numbers are not redrawn correctly in linum-mode

From: Eli Zaretskii <[email-masked]>
Date: Thu, 17 May 2012 19:15:46 +0300

> Date: Thu, 17 May 2012 12:12:10 +0200
> From: martin rudalics <[email-masked]>
> Cc: [email-masked]
> 
>  > A trivial bug: linum should run `linum-after-config' when the window
>  > configuration changes.
> 
> I was misguided.  While linum should update all windows when the window
> configuration changes, it won't help in this specific case.

It looks like some problem with redisplay, or maybe linum-mode is not
forcing redisplay when it should.  In any case, similar problems exist
in Emacs 23.3, so this is not exactly a regression.  I will try to
take a closer look when I have time (it's tricky to debug this because
any command that causes redisplay makes the problem disappear).  Ideas
are welcome.